田草博客

互联网田草博客


网友交流QQ群:11740834 需注明申请加入原因

微信 公众号:ByCAD

邮箱:tiancao1001x126.com
ByCAD,微信公众号
首页 | 普通 | 电脑 | AutoCAD | VB/VB.NET | FLash | 结构 | 建筑 | 电影 | BIM | 规范 | 软件
-随机-|-分布-
-博客论坛-|-﨣﨤﨧﨨-
-网站导航-|-规范下载-
-BelovedFLash欣赏-

用户登陆
用户:
密码:
 

站点日历
73 2021 - 10 48
     12
3456789
10111213141516
17181920212223
24252627282930
31


站点统计

最新评论



隐藏日志,无权浏览 Copy Objects Between Databases
未知 CAD二次开发判断点是否在一个区域内   [ 日期:2021-04-01 ]   [ 来自:本站原创 ]  HTML
CAD二次开发判断点是否在一个区域内 Extents3d.AddPoint Method
    <CommandMethod("cmd2")> _
    Public Shared Sub cmd2()
        Dim doc As Document = Application.DocumentManager.MdiActiveDocument
        Dim db As Database = doc.Database
        Using tr As Transaction = db.TransactionManager.StartTransaction()
            Dim blockTbl As BlockTable = TryCast(tr.GetObject(db.BlockTableId, OpenMode.ForRead), BlockTable)
            Dim modelSpace As BlockTableRecord = TryCast(tr.GetObject(blockTbl(BlockTableRecord.ModelSpace), OpenMode.ForRead), BlockTableRecord)

            Dim polyline As New Polyline()
            polyline.AddVertexAt(polyline.NumberOfVertices, New Autodesk.AutoCAD.Geometry.Point2d(), 0, 0, 0)
            polyline.AddVertexAt(polyline.NumberOfVertices, New Autodesk.AutoCAD.Geometry.Point2d(100, 0), 0, 0, 0)
            polyline.AddVertexAt(polyline.NumberOfVertices, New Autodesk.AutoCAD.Geometry.Point2d(100, 100), 0, 0, 0)
            polyline.AddVertexAt(polyline.NumberOfVertices, New Autodesk.AutoCAD.Geometry.Point2d(0, 100), 0, 0, 0)
            polyline.Closed = True

            Dim polyGeomotr As Object = polyline.GeometricExtents
            Dim polyGeomotrCopy As Object = polyline.GeometricExtents
            Dim polyGeomotrCopy2 As Object = polyline.GeometricExtents
            '外轮廓

            Dim point3D As New Point3d(50, 50, 0)

            polyGeomotrCopy.AddPoint(point3D)
            If polyGeomotrCopy = polyGeomotr Then
                Application.ShowAlertDialog("点在区域内")
            End If
            Dim point3D2 As New Point3d(-50, -50, 0)

            polyGeomotrCopy2.AddPoint(point3D2)
            If polyGeomotrCopy2 = polyGeomotr Then
                Application.ShowAlertDialog("点在区域内")
            Else
                Application.ShowAlertDialog("点在不在区域内")
            End If


            tr.Commit()
        End Using

    End Sub



暂时没有评论
发表评论 - 不要忘了输入验证码哦!
作者: 用户:  密码:   注册? 验证:  防止恶意留言请输入问题答案:3*5=?  
评论:

禁止表情
禁止UBB
禁止图片
识别链接
识别关键字

字体样式 文字大小 文字颜色
插入粗体文本 插入斜体文本 插入下划线
左对齐 居中对齐 右对齐
插入超级链接 插入邮件地址 插入图像
插入 Flash 插入代码 插入引用
插入列表 插入音频文件 插入视频文件
插入缩进符合
点击下载按钮 下标 上标
水平线 简介分割标记
表  情
 
Tiancao Blog All Rights Reserved 田草博客 版权所有
Copyright ©